varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D maskTexture;
uniform vec2 deltaPos;
uniform vec2 scaleRate;
void main()
{
    /* テクスチャーカラー */
    vec4 color = texture2D(CC_Texture0, v_texCoord);
 
    /* 座標調整 */
    vec2 p = v_texCoord * scaleRate + deltaPos;
    p.x = clamp(p.x, 0.0, 1.0);
    p.y = clamp(p.y, 0.0, 1.0);

    /* マスク(blendがpremultipliedだからrgbにもかける?) */
    color *= texture2D(maskTexture, p).r;
    gl_FragColor = v_fragmentColor * color;
}
